> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Parsed Report

> Use this api with the identifier which you have recieved in webhook events to fetch results. This endpoint returns a FHIR response.



## OpenAPI

````yaml get /health/api/v2/fhir/retrieve
openapi: 3.0.0
info:
  title: Document Upload API
  description: API to pre-sign the URL for uploading documents.
  version: 1.0.0
  license:
    name: Proprietary License
    url: https://developer.eka.care/license
servers:
  - url: https://api.eka.care
    description: Production server
  - url: https://api.dev.eka.care
    description: Development server
security: []
tags:
  - name: Records
    description: API related to records document management.
paths:
  /health/api/v2/fhir/retrieve:
    get:
      summary: Retrieve health records
      description: >-
        Retrieve a health record based on the given identifier, hip_id, and
        health_id in nrces FHIR json format.
      parameters:
        - name: identifier
          in: query
          required: true
          description: The unique identifier for the health record is care_context_id.
          schema:
            type: string
        - name: X-Pt-Id
          in: header
          schema:
            type: string
          description: eka user id (OID)
      responses:
        '200':
          description: Successful retrieval of health records.
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Please refer to FHIR bundle response
                  https://hl7.org/fhir/R4/bundle.html
        '401':
          description: Unauthorized. Invalid or missing authentication.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthorized
        '404':
          description: when request identifier, hip_id, health_id has no data
          content:
            application/json:
              schema:
                type: object
                description: >-
                  Please refer to FHIR bundle response
                  https://hl7.org/fhir/R4/bundle.html
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````